<template>
  <v-card
    dark
    class="ma-4"
    @click="charge('check-list-start-mission')"
  >
    <v-card-title class="blue">
      <div class="headline">{{title}}</div>
    </v-card-title>
    <v-list
    >
      <v-list-tile>
        <v-list-tile-avatar>
          <img
            v-if="messages[0].data[0].avatar"
            src=""
            alt="Avatar"
          >
          <v-icon
            v-else
            :color="messages[0].data[0].color"
            v-text="messages[0].data[0].icon"
          >
          </v-icon>
        </v-list-tile-avatar>

        <v-list-tile-content>
          <v-list-tile-title v-html="messages[0].data[0].name"></v-list-tile-title>
        </v-list-tile-content>
      </v-list-tile>
    </v-list>
  </v-card>
</template>

<script>
export default {
  name: 'alerts-and-notifications-mini',
  props: ['title'],
  computed: {
    messages: function () {
      return this.$store.getters.messages
    },
    lorem: function () {
      return this.$store.getters.lorem
    }
  }
}
</script>

<style scoped>

</style>
